jQuery(document).ready(function(){

	jQuery('#entegoAyarlar').submit(function(e){
		var api_key = jQuery('#entego_n11_api');
		var api_key_secret = jQuery('#entego_n11_api_secret');
		var api_sablon = jQuery('#entego_n11_sablon');
		var tes_suresi = jQuery('#teslimat_suresi');
		var autosave = jQuery('#varsayilan_autosave');
		if(api_key.val() == '' || api_key_secret.val() == ''){
			alert('Tüm Alanları doldurmalısınız.');
		}else {
			jQuery.ajax({
				url:entego_n11_ayarlar_kaydet.ajax_url,
				method:'post',
				data:{
					action		:'entego_n11_ayarlar_kaydet_ajax',
					_nonce		:entego_n11_ayarlar_kaydet.nonce,
					api			:api_key.val(),
					api_secret	:api_key_secret.val(),
					api_sablon	:api_sablon.val(),
					tes_suresi	:tes_suresi.val(),
					autosave	:autosave.val()
				},
				dataType:'json',
				success:function(data){
					console.log(data);
					if(data.sonuc){
						if(data.sablon!=null){
							api_sablon.html('<option value="">Varsayılan Şablon Seçiniz.</option>');
							jQuery.each(data.sablon,function(i,val){
								if(val.templateName == data.sablonSelect){var select = ' selected';}else{var select=null;}
								api_sablon.append('<option value="'+val.templateName+'"'+select+'>'+val.templateName+'</option>');
							});
						}else {
							api_sablon.html('<option value="">N11 Mağaza Panelinizden Teslimat Adresi Şablonu Oluşturmalısınız.</option>');
						}
					}else {
						api_sablon.html('<option value="">Api ve Api Secret Key Hatası</option>');
					}
					alert(data.mesaj);
				},
				error:function(eror){
					console.log(eror);
					alert(data.mesaj);
				},
				complete:function(){

				}
			})
		}
		e.preventDefault();
	});

	jQuery('#kategoriEkle').submit(function(e){
		var wooKat 	= jQuery('#wooKategori');
		var kategoriSelect = jQuery('#kategoriArama');
		var kategori = kategoriSelect.val().split("||");
		var kategori_adi = kategori[0];
		var kategori_id = kategori[1];
		var btn = jQuery('.kategoriEkleBtn');
		var spinner = jQuery('.submit .spinner');
		if(wooKat.val() == 0 || kategori_id==''||kategori_adi=='' ){
			alert('Kategori Seçimi yapmalısınız.');
		}else{
			spinner.addClass('is-active');
			btn.prop('disabled',true);
			jQuery.ajax({
				url:entego_n11_ayarlar_kaydet.ajax_url,
				method:'post',
				data:{
					action		:'n11_kategori_kaydet_ajax',
					_nonce		: entego_n11_ayarlar_kaydet.nonce,
					wooKat		: wooKat.val(),
					kategori_adi: kategori_adi,
					kategori_id : kategori_id,
				},
				dataType:'json',
				success:function(data){
					if(data.sonuc == 'tamam'){
						alert('Seçmiş olduğunuz kategori başarıyla ürünlere yerleştirildi.');
						location.reload();
					}else {
						alert(data.mesaj);
					}
				},
				error:function(eror){
					console.log(eror);
					alert(data.mesaj);
				},
				complete:function(){
					btn.prop('disabled',false);
					spinner.removeClass('is-active');
				}
			});
		}
		e.preventDefault();
	});

	jQuery('.kategoriSil').click(function(e){
		var id = jQuery(this).data('id');
		var tr = jQuery(this).parent().parent().parent().parent();
		var r = confirm("Kategori eşleştirmesini kaldırırsanız içerisinde bulunan tüm ürünlerden kategori kaldırılacaktır. Yapmak istediğinize emin misiniz ?");
		if (r == true) {
			jQuery.ajax({
				url:entego_n11_ayarlar_kaydet.ajax_url,
					method:'post',
					data:{
						action		: 'n11_kategori_sil',
						_nonce		: entego_n11_ayarlar_kaydet.nonce,
						value		: id
					},
					dataType:'json',
					success:function(data){
						if(data.sonuc == 'tamam'){
							alert('Kategori eşleştirmesi başarıyla kaldırıldı.');
							tr.remove();
						}else {
							alert('Bilinmeyen bir hata oluştu, daha sonra tekrar deneyiniz.');
						}
					},
					error:function(eror){
						console.log(eror);
						alert(data.mesaj);
					}
			})
		}
		e.preventDefault();
	});

	jQuery('.kategoriDuzenle').click(function(e){
		var id = jQuery(this).data('id');
		e.preventDefault();
	});

	jQuery('a[data-islem="not_ekle"]').click(function(e){
		var td = jQuery(this).parent().parent().parent();
		var btn = jQuery(this);
		if(btn.html() == 'Vazgeç'){
			td.find('.satinAlmaNotu').hide(300);
			btn.html('Satın Alma Notu Ekle');
		}else {
			td.find('.satinAlmaNotu').show(300,function(){
				td.find('.n11Not').focus();
			});
			btn.html('Vazgeç');
		}
		td.find('.n11Not').bind('keypress keydown keyup', function(i){
			if(i.keyCode == 13) { i.preventDefault(); }
		});
		e.preventDefault();
	});

	jQuery('.notKaydet').click(function(e){
		var btn = jQuery(this);
		var input = btn.parent().find('input.n11Not');
		var nonce = btn.parent().find('input.satinAlmaNonce').val();
		var ajax_url = btn.parent().find('input.ajax-url').val();
		if(input.val() == ''){
			alert('Her hangi bir bilgi girilmedi.');
		}else {
			data = {
				action:'urun_satin_alma_not_ekle',
				nonce : nonce,
				not : input.val(),
				urun_id : input.data('id') 
			};
			btn.prop('disabled',true);
			jQuery.ajax({
				url:ajax_url,
				method:'post',
				data:data,
				dataType:'json',
				success:function(cvp){
					console.log(cvp);
					if(cvp.sonuc){
						alert(cvp.mesaj);
						btn.parent().parent().parent().hide('slow',function(){
							jQuery(this).remove();
						});
					}else {
						alert('Bilinmeyen bir hata oluştu.');
					}
				},
				error:function(eror){
					alert('Bilinmeyen bir hata oluştu, veri gönderilemedi. Ürün sayfasından Gelişmiş seçeneklerinden Satın Alma Notunu Kendinizde güncelleyebilirsiniz.');
				},comlete:function(){
					btn.prop('disabled',false);
				}
			})
		}
		e.preventDefault();
	});

	jQuery('a[data-islem="kategori_eslestir"]').click(function(e){
		jQuery('.kategoriEsleme').hide(300);
		jQuery('a[data-islem="kategori_eslestir"]').not(this).html('Kategori Eşleştir');
		var td = jQuery(this).parent().parent().parent();
		var btn = jQuery(this);
		var selectBx = td.find('.kategoriEsleme');
		if(btn.html() == 'Vazgeç'){
			td.find('.kategoriEsleme').hide(300);
			btn.html('Kategori Eşleştir');
		}else {
			selectBx.find('select[name="n11_1_kat"] option[value="0"]').prop('selected',true).trigger('change');
			selectBx.show(300);
			btn.html('Vazgeç');
		}

		e.preventDefault();
	});

	jQuery('select#kategori_oneri_select').change(function(e){
		var val = jQuery(this).val();
		var cont = jQuery(this).parent().parent();
		var select2 = cont.find('select#kategoriArama');
		if(val != 0){
			select2.prop('disabled',true).val(null).parent().hide(300);
		}else {
			select2.prop('disabled',false).parent().show(300);
		}
	});


	jQuery('.kategoriKaydet').click(function(e){
		var content = jQuery(this).parent();
		var btn 	= jQuery(this);
		var nonce 	= content.find('input[name="satinAlmaNonce"]').val();
		var url 	= content.find('input[name="ajax-url"]').val();
		var id 		= content.find('input[name="id"]').val();
		var n11Kat = content.find('select#kategori_oneri_select').val();
		if(n11Kat == 0){
			if(content.find('select#kategoriArama').val() == '0'){
				alert('Kategori seçmelisiniz.');
				return false;
			}else {
				var n11katt = content.find('select#kategoriArama').val().split('||');
			}
		}else {
			var n11katt = n11Kat.split('||');
		}
		var kategori_adi 	= n11katt[0];
		var kategori_id 	= n11katt[1];
		var spinner = jQuery(this).parent().find('.spinner');

		if(kategori_adi == '' || kategori_id == ''){
			alert('Kategori seçmelisiniz.');
		}else {
			spinner.addClass('is-active');
			btn.prop('disabled',true).html('Lütfen Bekleyiniz.');
			var data = {
				kategori_adi : kategori_adi,
				kategori_id : kategori_id,
				action : 'sonuclar_n11_kategori_kaydet',
				nonce : nonce,
				post_id	: id
			}
			jQuery.ajax({
				url:url,
				method:'post',
				data:data,
				dataType:'json',
				success:function(cvp){
					console.log(cvp);
					if(cvp.sonuc){
						alert(cvp.mesaj);
						jQuery('tr[data-id="'+cvp.id+'"]').hide(300,function(){jQuery(this).remove()});
					}else {
						alert(cvp.mesaj);
					}
				},
				error:function(eror){
					alert('Bilinmeyen bir hata oluştu, veri gönderilemedi. Entego N11 Bölümünden Kategorilerinizi Eşleştirebiliriniz.');
				},
				complete:function(){
					spinner.removeClass('is-active');
					btn.prop('disabled',false).html('Kaydet');
				}
			})
		}
		console.log(e);
		e.preventDefault();
	});


	jQuery('a[data-islem="nitelikDuzenle"]').click(function(e){
		jQuery('.nitelikKutu').html('');
		jQuery('a[data-islem="nitelikDuzenle"]').not(this).html('Özellik Düzenle');
		var hrf = jQuery(this);
		var kat_id = jQuery(this).data('katid');
		var post_id = jQuery(this).data('id');
		var td = jQuery(this).parent().parent().parent();
		var spinner = jQuery(this).parent().parent().find('.spinner');
		var nonce = jQuery(this).data('nonce');
		var data = {
			katId : kat_id,
			post_id : post_id,
			action: 'sonuclar_ozellikler_getir',
			nonce : nonce
		};
		if(hrf.html() == 'Vazgeç'){
			hrf.html('Özellik Düzenle');
		}else {
			td.find('.nitelikKutu').html('Biraz Zaman Alabilir, Lütfen bekleyiniz.');
			hrf.html('Vazgeç');
			spinner.addClass('is-active');
			jQuery.ajax({
				url:entego_n11_ayarlar_kaydet.ajax_url,
				method:'post',
				data:data,
				dataType:'json',
				success:function(cvp){
					if(cvp.sonuc){
						td.find('.nitelikKutu').html(cvp.content);
						jQuery(".aramaSelect2").select2({
							placeholder:'Aramak İçin yazınız',
							language: {
								formatNoMatches: function () { return "Sonuç bulunamadı"; },
								formatInputTooShort: function (input, min) { var n = min - input.length; return "En az " + n + " karakter daha girmelisiniz"; },
								formatInputTooLong: function (input, max) { var n = input.length - max; return n + " karakter azaltmalısunuz"; },
								formatSelectionTooBig: function (limit) { return "Sadece " + limit + " seçim yapabilirsiniz"; },
								formatLoadMore: function (pageNumber) { return "Daha fazla..."; },
								formatSearching: function () { return "Aranıyor..."; },
								noResults: function () { return "Hiç bir sonuç bulunamadı."; },
								inputTooShort: function () {return "Aramak istediğiniz kelimeyi yazın.";},
								errorLoading: function () {return "Sonuçlar yüklenemedi...";},
								searching: function() {return 'Aranıyor..';},
							}
						});
					}else {
						alert(cvp.mesaj);
					}
				},error:function(eror){
					alert('Bilinmeyen bir hata oluştu, lütfen daha sonra tekrar deneyiniz.');
				},
				complete:function(){
					spinner.removeClass('is-active');
				}
			});
		}
		e.preventDefault();
	});

	jQuery('body').on('click','.nitelikKaydet',function(e){
		var content = jQuery(this).parent();
		var input = content.find('input[type="text"]');
		var select = content.find('select');
		var btn = content.find('button');
		var spinner = content.parent().find('.spinner');
		var hata = 0;
		var veri = new Array;
		jQuery.each(input,function(i,val){
			var inp = jQuery(val);
			if(inp.prop('required')== true && inp.val() == ''){
				hata=1;
			}
			var deger = {
				'name':inp.attr('name'),
				'value':inp.val()
			}
			veri.push(deger);
		});
		jQuery.each(select,function(i,val){
			var inp = jQuery(val);
			if(inp.prop('required')== true && inp.val() == ''){
				hata=1;
			}
			var deger = {
				'name':inp.attr('name'),
				'value':inp.val()
			}
			veri.push(deger);
		});
		if(hata==1){
			alert('Zorunlu olanları girmeniz gerekiyor.');
			return false;
		}
		input.prop('disabled',true);
		btn.prop('disabled',true);
		spinner.addClass('is-active');
		var data = {
			action:'nitelik_kayit_form',
			nonce : content.find('#nitelikNonce').val(),
			post_id: content.find('#post_id').val(),
			data: veri
		};
		jQuery.ajax({
			url:entego_n11_ayarlar_kaydet.ajax_url,
			method:'post',
			data: data,
			dataType:'json',
			success:function(cvp){
				if(cvp.sonuc){
					alert(cvp.mesaj);
					content.parent().find('a[data-islem="nitelikDuzenle"]').html('Özellik Düzenle');
					content.parent().parent().hide(300,function(){
						jQuery(this).remove();
					});
				}else {
					alert(cvp.mesaj);
				}
			},error:function(eror){
				alert('Bilinmeyen bir bağlantı hatası oluştu, lütfen daha sonra tekrar deneyiniz');
			},complete:function(){
				input.prop('disabled',false);
				btn.prop('disabled',false);
				spinner.removeClass('is-active');
			}
		});
		e.preventDefault();
	});

	jQuery('a[data-islem="sil"]').click(function(e){
		var nonce = jQuery(this).data('nonce');
		var id = jQuery(this).data('id');
		var btn = jQuery(this);
		var tr = btn.parent().parent().parent().parent();
		var data = {
			action:'sonuclar_hata_sil',
			id:id,
			nonce:nonce
		};
		var conf = confirm('Hatayı silmek istediğinize emin misiniz ?');
		if(conf == true){
			jQuery.ajax({
				url:entego_n11_ayarlar_kaydet.ajax_url,
				method:'post',
				data:data,
				dataType:'json',
				success:function(cvp){
					if(cvp.sonuc){
						var hata = jQuery.inArray('hataliIslem',tr[0].classList);
						var tumu = jQuery('.tumu .count').data('count') - 1;
						var hatali = jQuery('.hatali .count').data('count') - 1;
						var basarili = jQuery('.basarili .count').data('count') - 1;
						jQuery('.tumu .count').html('('+tumu+')');
						jQuery('.tumu .count').data('count',tumu)
						jQuery('.displaying-num').html(tumu + ' Öğe');
						if(hata == '-1'){
							jQuery('.basarili .count').html('('+basarili+')');
							jQuery('.basarili .count').data('count',basarili)
						}else {
							jQuery('.hatali .count').html('('+hatali+')');
							jQuery('.hatali .count').data('count',hatali)
						}

						tr.hide(300,function(){
							jQuery(this).remove();
						});
					}else {
						alert(cvp.mesaj);
					}
				},
				error:function(eror){
					alert('Bilinmeyen bir bağlantı hatası oluştu, lütfen daha sonra tekrar deneyiniz.');
				},
				complete:function(){
	
				}
			});
		}
		e.preventDefault();
	});

	var aktif = 1;
	jQuery('a[data-islem="update"]').click(function(e){
		e.preventDefault();
		if(aktif==2){
			return;
		}
		aktif=2;
		var id = jQuery(this).data('id');
		var nonce = jQuery(this).data('nonce');
		var tr = jQuery(this).parent().parent().parent().parent();
		var data = {
			action:'entego_n11_sonuc_tekrar_siraya_al',
			id:id,
			nonce:nonce
		};

		jQuery.ajax({
			url:entego_n11_ayarlar_kaydet.ajax_url,
			method:'post',
			data:data,
			dataType:'json',
			success:function(cvp){
				if(cvp.sonuc){
					var hata = jQuery.inArray('hataliIslem',tr[0].classList);
					var tumu = jQuery('.tumu .count').data('count') - 1;
					var hatali = jQuery('.hatali .count').data('count') - 1;
					var basarili = jQuery('.basarili .count').data('count') - 1;
					jQuery('.tumu .count').html('('+tumu+')');
					jQuery('.tumu .count').data('count',tumu)
					jQuery('.displaying-num').html(tumu + ' Öğe');
					if(hata == '-1'){
						jQuery('.basarili .count').html('('+basarili+')');
						jQuery('.basarili .count').data('count',basarili)
					}else {
						jQuery('.hatali .count').html('('+hatali+')');
						jQuery('.hatali .count').data('count',hatali)
					}

					tr.hide(300,function(){
						jQuery(this).remove();
					});
				}else {
					alert(cvp.mesaj);
				}
			},
			error:function(eror){
				alert('Bilinmeyen bir bağlantı hatası oluştu, lütfen daha sonra tekrar deneyiniz.');
			},
			complete:function(){
				aktif=1;
			}
		});
	});

	jQuery('select#wooKategori').change(function(){
		var val = jQuery(this).val();
		var box = jQuery('.kategoriOnerileri .oneriSonuc');
		var btn = jQuery('.kategoriEkleBtn');
		var spinner = jQuery('.submit .spinner');
		var select = jQuery(this);
		var aramaSelect = jQuery('#kategoriArama');
		var wookatId = val;
		box.html('');
		aramaSelect.prop('disabled',true);
		if(val!=0){
			var data = {
				kategori_id: val,
				nonce:entego_n11_ayarlar_kaydet.entego_n11_wooKat_getir,
				action:'entego_n11_wooKat_getir',
			}
			btn.prop('disabled',true).addClass('disabled');
			select.prop('disabled',true).addClass('disabled');
			spinner.addClass('is-active');
			jQuery.ajax({
				url:entego_n11_ayarlar_kaydet.ajax_url,
				method:'post',
				data:data,
				dataType:'json',
				success:function(response){
					if(response.sonuc){

						if(response.sonuclar.length < 1){
							box.html('Hiç bir öneri bulunamadı. Kategori Aramayı kullanabilirsiniz.');
						}else {
							jQuery.each(response.sonuclar,function(i,val){
								box.append('<a style="display:block; margin:5px 0px 5px 0px" href="#" class="kategoriOneri" data-wooKatId="'+wookatId+'" data-value="'+val.id+'">'+val.text+'</a>');
							});
						}
						aramaSelect.prop('disabled',false);
					}else{
						alert(response.mesaj);
					}
				},
				error:function(){
					alert('Bilinmeyen bir hata oluştu, lütfen daha sonra tekrar deneyiniz.');
				},
				complete:function(){
					btn.prop('disabled',false).removeClass('disabled');
					select.prop('disabled',false).removeClass('disabled');
					spinner.removeClass('is-active');
				}
			});
		}
	});

	jQuery('body').on('click','a.kategoriOneri',function(e){
		var n11Kat  = jQuery(this).data('value');
		var katid	= jQuery(this).data('wookatid');
		var bol = n11Kat.split('||');
		var kategori_adi = bol[0];
		var kategori_id = bol[1];
		var spinner = jQuery('.submit .spinner');
		var aramaSelect = jQuery('#kategoriArama');
		var btn = jQuery('.kategoriEkleBtn');
		if(kategori_adi == '' || kategori_id == '' || katid == ''){
			alert('Kategori seçmelisiniz.');
		}else{
			spinner.addClass('is-active');
			btn.prop('disabled',true).addClass('disabled');
			aramaSelect.prop('disabled',true);
			var data = {
				action		:'n11_kategori_kaydet_ajax',
				_nonce		: entego_n11_ayarlar_kaydet.nonce,
				wooKat		: katid,
				kategori_adi: kategori_adi,
				kategori_id : kategori_id,
			};
			jQuery.ajax({
				url:urun_gonder.ajax_url,
				method:'post',
				data:data,
				dataType:'json',
				success:function(data){
					if(data.sonuc == 'tamam'){
						alert('Seçmiş olduğunuz kategori başarıyla ürünlere yerleştirildi.');
						location.reload();
					}else {
						alert(data.mesaj);
					}
				},
				error:function(eror){
					console.log(eror);
					alert(data.mesaj);
				},
				complete:function(){
					spinner.removeClass('is-active');
					btn.prop('disabled',false).removeClass('disabled');
					aramaSelect.prop('disabled',false);
				}
			});
		}
		e.preventDefault();
	});


	let modal =''+
		'<div class="modal-bg"></div>'+
		'<div class="modal-content">'+
		'	<div class="header">'+
		'		<h4>Eklentimizi neden etkisizleştiriyorsunuz ?</h4>'+
		'	</div>'+
		'	<div id="hatalar">'+
		'	</div>'+
		'	<form id="entego_n11_etkisizlestirme">'+
		'		<input type="radio" id="vehicle1" name="sebep" value="beklenti_karisiliksiz">'+
		'		<label for="vehicle1"> Beklentilerimi karşılamadı</label><br>'+
		'		<input type="radio" id="vehicle2" name="sebep" value="hata_almis">'+
		'		<label for="vehicle2"> Düzenli çalışmadı sürekli hatalar aldım.</label><br>'+
		'		<input type="radio" id="memnun_kalmadim" name="sebep" value="memnun_kalmadim">'+
		'		<label for="memnun_kalmadim"> Memnun kalmadım.</label><br>'+
		'		<input type="radio" id="vehicle3" name="sebep" value="kullanmamamis">'+
		'		<label for="vehicle3"> Nasıl kullanacağımı anlamadım.</label><br>'+
		'		<input type="radio" id="vehicle4" name="sebep" value="diger">'+
		'		<label for="vehicle4"> Diğer (Sebebini Açıklayınız)</label><br>'+
		'		<textarea rows="3" type="text" id="diger_sebep" name="diger_sebep" placeholder="Etkisizleştirme sebebinizi yazınız."></textarea>'+
		'	</form>'+
		'	<div class="footer">'+
		'		<span class="spinner is-active"></span>'+
		'		<a href="" id="etkisizlestir" class="button button-primary">Etkisizleştir</a>'+
		'		<a href="" id="vazgec" class="button">Vazgeç</a>'+
		'		<a href="" id="atla">Atla</a>'+
		'	</div>'+
		'</div>';

	jQuery('table.plugins tr[data-slug="entego-n11"] td span.deactivate').append(modal);

	let modal_content = jQuery('table.plugins tr[data-slug="entego-n11"] td span.deactivate');
	let url = modal_content.find('a').first().attr('href');
	modal_content.find('a').first().click(function(e){
		let url = jQuery(this).attr('href');
		let content = jQuery(this).parent();
		let modalBg = content.find('.modal-bg');
		let modalContent = content.find('.modal-content');
		let button = modal_content.find('a#etkisizlestir');
		let spinner = modal_content.find('.spinner');
		content.find('#hatalar').html('').removeAttr('class');
		content.find('input[type="radio"]:checked').prop('checked',false);
		modalBg.addClass('modal_Goster_bg');
		modalContent.addClass('modal_Goster_content');
		button.removeClass('disabled').prop('disabled',false);
		spinner.removeClass('is-active');
		let dog = false;
		if(dog){
			window.location.href = url;
		}
		e.preventDefault();
	});

	modal_content.on('click','.footer a#vazgec',function(e){
		let modalBg = modal_content.find('.modal-bg');
		let modalContent = modal_content.find('.modal-content');
		modalBg.removeClass('modal_Goster_bg');
		modalContent.removeClass('modal_Goster_content');
		e.preventDefault();
	});

	modal_content.on('click','.footer a#atla',function(e){
		window.location.href = url;
		e.preventDefault();
	});

	modal_content.on('change','input[type="radio"]:checked',function(){
		var val = jQuery(this).val();
		if(val == 'diger'){
			modal_content.find('textarea#diger_sebep').show(300);
		}else {
			modal_content.find('textarea#diger_sebep').hide(300);
		}
	});

	modal_content.on('click','a#etkisizlestir',function(e){
		let sebep = modal_content.find('input[type="radio"]:checked');
		let text  = modal_content.find('textarea#diger_sebep');
		let hata  = modal_content.find('#hatalar');
		let button = modal_content.find('a#etkisizlestir');
		let spinner = modal_content.find('.spinner');
		if(sebep.length < 1){
			hata.removeAttr('class').addClass('error').html('<span>Seçim Yapmalısınız.</span>');
		}else if(sebep.val() == 'diger' && text.val() == ''){
			hata.removeAttr('class').addClass('error').html('<span>Diğer seçeniğini seçtiğiniz için sebebini belirtmelisiniz.</span>');
		}else {
			let data = {
				nonce: entego_n11_ayarlar_kaydet.entego_n11_etkisizlestirme_nonce,
				action: 'entego_n11_etkisizlestirme',
				sebep: sebep.val(),
				diger_sebep: text.val(),
			};
			spinner.addClass('is-active');
			button.addClass('disabled').prop('disabled',true);
			jQuery.ajax({
				url:entego_n11_ayarlar_kaydet.ajax_url,
				method:'POST',
				dataType:'JSON',
				data:data,
				success:function(response){
					if(response.sonuc){
						hata.removeAttr('class').addClass('success').html('<span>Mesajınız başarıyla alındı, eklenti etkisizleştiriyor.</span>');
					}else{
						hata.removeAttr('class').addClass('error').html('<span>'+response.mesaj+'</span>');
					}
					setTimeout(() => {
						window.location.href = url;
					}, 1000);
				},
				error:function(){
					hata.removeAttr('class').addClass('error').html('<span>Bilinmeyen bir sorun oluştu, bağlantı sağlanamadı. Eklenti etkisizleştiriliyor.</span>');
					window.location.href = url;
				},
				complete:function(){
					spinner.removeClass('is-active');
					button.prop('disabled',false).removeClass('disabled');
				}
			});
		}

		e.preventDefault();
	});
	
	jQuery('#uyelikHatirlatma').click(function(e){
		let btn = jQuery(this);
		let nonce = btn.data('nonce');
		jQuery.ajax({
			url:entego_n11_ayarlar_kaydet.ajax_url,
			dataType:'JSON',
			method:'POST',
			data:{
				nonce:nonce,
				action:'entego_n11_uyelik_notu_kaldir',
			},
			complete:function(){
				window.location.reload();
			}
		});
		e.preventDefault();
	});

});