(function( $ ) {
	'use strict';
	let content = $('#entego_n11_urun_metabox');

	var kontrol = false;
	$('.entegoN11UrunGonder').click(function(e){
		if(kontrol == false){
			kontrol = true;
			var btn = $(this);
			var id = $(this).data('id');
			var nonce = $(this).data('nonce');
			var url = $(this).data('url');
			btn.prop('disabled',true).addClass('disabled');
			jQuery.ajax({
				url:entego_n11_urun_gonder.ajax_url,
				method:'post',
				data:{
					action		:'entego_n11_urun_ekle',
					nonce		:entego_n11_urun_gonder.nonce,
					id			: id
				},
				dataType:'json',
				success:function(data){
					console.log(data);
					if(data.success){
						alert(data.mesaj);
					}else {
						alert(data.mesaj);
					}
				},
				error:function(eror){
					console.log(eror);
					alert(data.mesaj);
				},
				complete:function(){
					btn.prop('disabled',false).removeClass('disabled');
					kontrol = false;
				}
			})
		}
	});

	content.find('input[type="button"][name="n11Kaydet"]').click(function(e){
		if(kontrol == false){
			kontrol = true;
			var btn = $(this);
			var spinner = content.find('.spinner');
			let urunId = content.find('input[name="urun_id"]').val();
			btn.prop('disabled',true).addClass('disabled');
			spinner.addClass('is-active');
			$.ajax({
				url:entego_n11_urun_gonder.ajax_url,
				method:'post',
				data:{
					action:'entego_n11_urun_kaydetme',
					nonce:entego_n11_urun_gonder.urun_kaydetme_nonce,
					id:urunId
				},
				dataType:'json',
				success:function(response){
					if(response.sonuc){
						$('textarea#content').trigger('change');
						$('#submitdiv input[name="save"]').trigger('click');
					}else {
						alert('Bir sorun oluştu sıraya alınamadı, tekrar deneyiniz.');
					}
				},
				error:function(){
					alert('Bilinmeyen bir hata oluştu');
				},
			});
		}
	});
	
	$('.kategoriEsle').click(function(e){
		var n11Kat  = $('#kategoriArama');
		var postId	= $('input[name="post_id"]');
		var btn 	= $('.kategoriEkleBtn');
		var bol = n11Kat.val().split('||');
		console.log(bol);
		var kategori_adi = bol[0];
		var kategori_id = bol[1];
		if(kategori_adi == '' || kategori_id == ''){
			alert('Kategori seçmelisiniz.');
		}else{
			btn.prop('disabled',true);
			var data = {
				action		:'kategori_esle_ajax',
				_nonce		: entego_n11_urun_gonder.edit_urun_nonce,
				kategori_adi: kategori_adi,
				kategori_id : kategori_id,
				post_id		: postId.val()
			};
			console.log(data);
			jQuery.ajax({
				url:entego_n11_urun_gonder.ajax_url,
				method:'post',
				data:data,
				dataType:'json',
				success:function(data){
					if(data.sonuc){
						setTimeout(() => {
							location.reload();
						}, 300);
					}
					alert(data.mesaj);
					console.log(data);
				},
				error:function(eror){
					console.log(eror);
					alert(data.mesaj);
				},
				complete:function(){
					btn.prop('disabled',false);
				}
			});
		}
		e.preventDefault();
	});

	$('.kategoriOneriSec').click(function(e){
		var n11Kat  = $(this).data('value');
		var postId	= $(this).data('postid');
		var bol = n11Kat.split('||');
		var kategori_adi = bol[0];
		var kategori_id = bol[1];
		if(kategori_adi == '' || kategori_id == ''){
			alert('Kategori seçmelisiniz.');
		}else{
			var data = {
				action		:'kategori_esle_ajax',
				_nonce		: entego_n11_urun_gonder.edit_urun_nonce,
				kategori_adi: kategori_adi,
				kategori_id : kategori_id,
				post_id		: postId
			};
			jQuery.ajax({
				url:entego_n11_urun_gonder.ajax_url,
				method:'post',
				data:data,
				dataType:'json',
				success:function(data){
					if(data.sonuc){
						setTimeout(() => {
							location.reload();
						}, 300);
					}
					alert(data.mesaj);
					console.log(data);
				},
				error:function(eror){
					console.log(eror);
					alert(data.mesaj);
				},
				complete:function(){
				}
			});
		}
		e.preventDefault();
	});

	$('.duzenle_urun_auto_refresh_durum').click(function(e){
		$('#duzenle_urun_auto_refresh_kutu').show(300);
		$('select#duzenle_urun_auto_refresh').trigger('focus');
		e.preventDefault();
	});
	$('.duzenle_urun_auto_refresh_iptal').click(function(e){
		$('#duzenle_urun_auto_refresh_kutu').hide(300);
		e.preventDefault();
	});
	$('.duzenle_urun_auto_refresh_kaydet').click(function(e){
		var val = $('select[name="duzenle_urun_auto_refresh"]').val();
		if(val == 'true'){
			$('#urun_yenileme_sonuc strong').html('Açık');
		}else {
			$('#urun_yenileme_sonuc strong').html('Kapalı');
		}
		$('#duzenle_urun_auto_refresh_kutu').hide(300);
		e.preventDefault();
	});

	$('.n11UrunSil').click(function(e){
		var id = $(this).data('id');
		var btn = $(this);
		var spinner = $('.n11_meta_box .spinner');
		var kaydetBtn = $('input[name="n11Kaydet"]');
		var r = confirm('Ürünü N11.com\'dan kaldırmak istediğinize emin misiniz ?');
		if(r){
			spinner.addClass('is-active');
			$('.icerik input[type="button"]').prop('disabled',true).html('Bekleyin..');
			jQuery.ajax({
				url:entego_n11_urun_gonder.ajax_url,
				method:'post',
				data:{
					action		:'entego_n11_urun_sil',
					nonce		:entego_n11_urun_gonder.urunSil_n11_nonce,
					id			: id
				},
				dataType:'json',
				success:function(data){
					if(data.sonuc){
						$('.autoRefreshN11').hide(500);
						btn.hide(500);
						kaydetBtn.val('Ürünü N11\'e Kaydet');
						alert(data.mesaj);
					}else {
						alert(data.mesaj);
						kaydetBtn.val('Ürünü N11\'e Guncelle');
					}
				},
				error:function(eror){
					console.log(eror);
					alert(data.mesaj);					
					kaydetBtn.val('Ürünü N11\'e Guncelle');
				},
				complete:function(){
					kaydetBtn.prop('disabled',false);
					spinner.removeClass('is-active');
				}
			})
		}else {
			alert('Vazgeçildi');
		}
		e.preventDefault();
	});

	$('input[type="button"][name="n11Kaydaet"]').click(function(e){
		var r = confirm('Ürünü N11.com\'a göndermek istediğinize emin misiniz ? Sayfayı Kaydetmeyi unutmayın aksi halde işleminiz gerçekleşmez.');
		if(r){
			var btn = $(this);
			var btnText = btn.val();
			var spinner = $('.n11_meta_box .spinner');
			var id = $(this).data('id');
			btn.prop('disabled',true).addClass('disabled').val('Lütfen Bekleyin..');
			spinner.addClass('is-active');
			jQuery.ajax({
				url:entego_n11_urun_gonder.ajax_url,
				method:'post',
				data:{
					action		:'entego_n11_urun_ekle',
					nonce		:entego_n11_urun_gonder.nonce,
					id			: id
				},
				dataType:'json',
				success:function(data){
					if(data.success){
						alert(data.mesaj);
						$('.autoRefreshN11, .silBtn, .silBtn a').show(500);
						btnText = 'Ürünü N11\'de Güncelle';
						setTimeout(() => {
							btn.val(btnText);
						}, 300);
					}else {
						if(data.hata == 'pruchase_note'){
							$('a[href="#advanced_product_data"]').trigger('click');
							$('textarea[name="_purchase_note"]').trigger('focus');
						}
						console.log(data);
						alert(data.mesaj);
					}
				},
				error:function(eror){
					console.log(eror);
					alert(data.mesaj);
				},
				complete:function(){
					btn.prop('disabled',false).removeClass('disabled').val(btnText);
					spinner.removeClass('is-active');
				}
			});
		}else {
			alert('Vazgeçildi');
		}
		e.preventDefault();
	});


    $('.kategoriKaldır').click(function(e){
        var id = $(this).data('id');
        var nonce = $(this).data('nonce');
		var btn = $(this);
		var spinner = $('.n11_meta_box .spinner');
		var kaydetBtn = $('input[name="n11Kaydet"]');
		var r = confirm('Ürün kategori eşleştirmesini kaldırmak istediğinzie emin misiniz ?');
		if(r){
			spinner.addClass('is-active');
			jQuery.ajax({
				url:entego_n11_urun_gonder.ajax_url,
				method:'post',
				data:{
					action		: 'entego_n11_urun-kategori-kaldir',
					nonce		: nonce,
					id			: id
				},
				dataType:'json',
				success:function(data){
					if(data.sonuc){
                        alert(data.mesaj);
                        setTimeout(() => {
							location.reload();
						}, 300);
					}else {
						alert(data.mesaj);
					}
				},
				error:function(eror){
					console.log(eror);
					alert('Bilinmeyen bir hata oluştu, bilgiler gönderilemedi. Daha sonra tekrar deneyiniz.');
				},
				complete:function(){
					kaydetBtn.prop('disabled',false);
					spinner.removeClass('is-active');
				}
			})
		}
		e.preventDefault();
	});


	$(".kategoriArama").select2({
		placeholder:'Aramak İçin yazınız',
		language: {
			formatNoMatches: function () { return "Sonuç bulunamadı"; },
			formatInputTooShort: function (input, min) { var n = min - input.length; return "En az " + n + " karakter daha girmelisiniz"; },
			formatInputTooLong: function (input, max) { var n = input.length - max; return n + " karakter azaltmalısunuz"; },
			formatSelectionTooBig: function (limit) { return "Sadece " + limit + " seçim yapabilirsiniz"; },
			formatLoadMore: function (pageNumber) { return "Daha fazla..."; },
			formatSearching: function () { return "Aranıyor..."; },
			noResults: function () { return "Hiç bir sonuç bulunamadı."; },
			inputTooShort: function () {return "Aramak istediğiniz kelimeyi yazın.";},
			errorLoading: function () {return "Sonuçlar yüklenemedi...";},
			searching: function() {return 'Aranıyor..';},
		},
		ajax: {
		  delay: 250,
		  url:entego_n11_urun_gonder.ajax_url,
		  method:'post',
		  dataType: 'json',
		  data: function (params) {
			return {
				search: params.term,
				nonce:entego_n11_urun_gonder.kategori_ara_nonce,
				action:'entego_n11_kategori_ara',
			};
		  },
		  processResults: function (data, params) { 
			  console.log(data.sonuclar);
			  return {
				  results: data.sonuclar
			  };
		  },
		  cache: false
		},
		minimumInputLength: 3
	});

	$('#entegoN11Destek').submit(function(e){
		let content = $(this),
			adsoyad = content.find('input#ad_soyad'),
			email	= content.find('input#email'),
			telefon = content.find('input#telefon'),
			mesaj   = content.find('textarea#mesaj'),
			btn		= content.find('button'),
			spinner = content.find('span.spinner');
		
		if(adsoyad.val() == '' || email.val() == '' || telefon.val() == '' || mesaj.val() == ''){
			alert('Tüm Alanları Doldurmalısınız. Eksik alanlar var');
		}else if(telefon.val().length != 11 || /[^0-9]/.test(telefon.val()) ) {
			alert('Geçersiz Telefon Numarası Başına sıfır girerek girmelisiniz.')
		}else {
			btn.prop('disabled',true);
			spinner.addClass('is-active');
			$.ajax({
				url:entego_n11_urun_gonder.ajax_url,
				method:'POST',
				data:{
					adsoyad 	: adsoyad.val(),
					email		: email.val(),
					telefon		: telefon.val(),
					mesaj		: mesaj.val(),
					action		: 'entego-n11-destek-bildirimi',
					nonce		: entego_n11_urun_gonder.destek_bildirim_nonce,
				},
				dataType:'JSON',
				success:function(response){
					alert(response.mesaj);
					if(response.sonuc){
						location.reload();
					}
				},
				error:function(){
					alert('Bilinmeyen bir hata oluştu, lütfen daha sonra tekrar deneyiniz.');
				},
				complete:function(){
					btn.prop('disabled',false);
					spinner.removeClass('is-active');
				}
			});
		}
		e.preventDefault();
	});

	$(".aramaSelect2").select2({
		placeholder:'Aramak İçin yazınız',
		language: {
			formatNoMatches: function () { return "Sonuç bulunamadı"; },
			formatInputTooShort: function (input, min) { var n = min - input.length; return "En az " + n + " karakter daha girmelisiniz"; },
			formatInputTooLong: function (input, max) { var n = input.length - max; return n + " karakter azaltmalısunuz"; },
			formatSelectionTooBig: function (limit) { return "Sadece " + limit + " seçim yapabilirsiniz"; },
			formatLoadMore: function (pageNumber) { return "Daha fazla..."; },
			formatSearching: function () { return "Aranıyor..."; },
			noResults: function () { return "Hiç bir sonuç bulunamadı."; },
			inputTooShort: function () {return "Aramak istediğiniz kelimeyi yazın.";},
			errorLoading: function () {return "Sonuçlar yüklenemedi...";},
			searching: function() {return 'Aranıyor..';},
		}
	});

})( jQuery );
