<?php
//Bu dosya doğrudan çağrılırsa iptal edin.
if ( ! defined( 'WPINC' ) ) {
	die;
}
/**
 * Toplu Ürün Gönderme Sekmesi
 *
 * @package    entego-n11
 * @subpackage entego-n11\admin\patials/help
 */
?>
<h3><?php esc_html_e( 'Toplu Ürün Gönderme', 'entego-n11' ); ?></h3>
<p>
	<?php esc_html_e( 'Ürünlerinizi tek tek gönderebileceğiniz gibi ayrıca toplu olarakda kolaylıkla gönderebilir ve güncelleyebilirsiniz.', 'entego-n11' ); ?>
</p>
<p>
	<img src="<?php echo ENTN11()->plugin_url() . '/admin/img/tarifler/toplu-urun-gonder.jpg'; ?>" alt="<?php esc_attr_e( 'N11 Ürün Nitelikleri Metabox', 'entego-n11' ); ?>" width="100%" class="aligncenter size-full wp-image-327302" />
</p>
<p>
	<?php esc_html_e( 'Ürünlerinizi gönderebildiğiniz gibi aynı şekilde sadece n11\'den silebilirsiniz.', 'entego-n11' ); ?>
</p>
<p>
	<?php printf(
		__( 'Toplu gönderme işlemlerinizde ürünler sıraya alınır ve en kısa süre içerisinde ürün sayısına göre tamamlar. Bu tamamlama sırasında ürünlerin durumunu N11 <a href="%1$s" target="_blank">Ürün Gönderme Sonuçları</a> sayfasından takip edebilirsiniz.', 'entego-n11' ),
		get_admin_url().'admin.php?page=entego_n11_sonuclar'
	); 
	?>
</p>