<?php
//Bu dosya doğrudan çağrılırsa iptal edin.
if ( ! defined( 'WPINC' ) ) {
	die;
}
/**
 * Ürün Özellikleri Sekmesi
 *
 * @package    entego-n11
 * @subpackage entego-n11\admin\partials/help
 */
?>
<h3><?php esc_html_e( 'Ürün Özellikleri', 'entego-n11' ); ?></h3>
<p>
	<?php esc_html_e( 'N11 çeşitleri kategorilerde her kategoriye özgü ürün özellikleri istemekde bunlardan zorunlu olanları ve isteğe bağlı olanları mevcuttur.', 'entego-n11' ); ?>
</p>
<p>
	<?php esc_html_e( 'Bu özellikleri ürün sayfasında sağ kısımda "Entego N11 Ürün Menüsünde" görebilirsiniz.', 'entego-n11' ); ?>
</p>
<p>
	<img src="<?php echo ENTN11()->plugin_url() . '/admin/img/tarifler/urun-nitelikleri-metabo.jpg'; ?>" alt="<?php esc_attr_e( 'N11 Ürün Nitelikleri Metabox', 'entego-n11' ); ?>" width="300" class="aligncenter size-full wp-image-327302" />
</p>
<p>
	<?php esc_html_e( 'Burada size örnek olarak "Bilgisayar > Çevre Birimleri > Monitör & Ekran" kategorisindeki bir ürünün özelliklerini görüntülemektesiniz.', 'entego-n11' ); ?>
</p>
<p>
	<?php esc_html_e( 'Bu özelliklerin zorunlu olanları görmüş olduğunuz gibi belirtilmiştir. Ürünleri bu zorunlu özellikleri eklemeden kayıt edemezsiniz.', 'entego-n11' ); ?>
</p>
<p>
	<?php esc_html_e( 'Bu özellikleri ürünlerinize ekmlemeniz gayet kolaydır, Tek yapmanız gereken eklemek istediğiniz bulunmayan özelliğin üzerine tıklayarak gelen listeden seçim yapmalısınız.', 'entego-n11' ); ?>
</p>
<p>
	<img src="<?php echo ENTN11()->plugin_url() . '/admin/img/tarifler/cozunurluk-degerleri.jpg'; ?>" alt="<?php esc_attr_e( 'N11 Ürün Nitelikleri Metabox', 'entego-n11' ); ?>" width="300" class="aligncenter size-full wp-image-327302" />
</p>
<p>
	<?php esc_html_e( 'Yukarıdaki örnekte "Monitör & Ekran" kategorisindeki "Çözünürlük" özelliğini görüntülemektesiniz. Buradan ürünüzüde uygun olan özelliği seçerek Kaydet butonu tıklamanız yeterli artık o özellik WooCommerce Ürün Nitelikleri Sekmesine kayıt edilmiştir.', 'entego-n11' ); ?>
</p>
<p>
	<?php esc_html_e( 'Bu özellikleri kaldırmanız için yapmanız gereken WooCommerce Ürün Verisine gelerek Nitelikler sekmesinden istediğiniz niteliği kaldırabilirsiniz.', 'entego-n11' ); ?>
</p>
<p>
	<img src="<?php echo ENTN11()->plugin_url() . '/admin/img/tarifler/urun-verisi.jpg'; ?>" alt="<?php esc_attr_e( 'N11 Ürün Nitelikleri Metabox', 'entego-n11' ); ?>" width="100%" class="aligncenter size-full wp-image-327302" />
</p>
<p style="color:red;">
	<?php esc_html_e( 'Dikkat etmeniz gereken nokta bu özellikler sitenizde daha öncedende kayıtlı olabilir bu durumda o özelliği silip yeniden Entego N11 Ürün Nitelikleri menüsünden tekrar ekleyiniz. Çünki n11 bu özellikleri kendi veritabanında eşleştirmektedir, eşleştiremediği özellikleri kabul etmeyerek ürünü ekleyemeyecektir.', 'entego-n11' ); ?>
</p>