<?php
//Bu dosya doğrudan çağrılırsa iptal edin.
if ( ! defined( 'WPINC' ) ) {
	die;
}
/**
 * Eklenti Tarafından Entegoya Destek Talebi Gönderme
 *
 *
 * @since      1.0.5
 *
 * @package    Entoge_N11
 * @subpackage Entego_N11/admin/partials
 */
$current_user = wp_get_current_user();
$user_email   = $current_user->user_email;
?>
<!-- Bu dosya öncelikle biraz PHP içeren HTML'den oluşmalıdır. -->
<form method="post" id="entegoN11Destek" action="<?php echo admin_url( 'admin-ajax.php' ); ?>">
<table class="form-table">
    <tbody>
        <tr valign="top">
            <th scope="row" class="titledesc">
                <label for="ad_soyad"><?=esc_html('Adınız ve Soyadınız','entego-n11')?></label>
            </th>
            <td class="forminp forminp-text">
                <input name="ad_soyad" id="ad_soyad" type="text" style="" value="" class="ayarlarForm" placeholder="Ad Soyad" required>
            </td>
        </tr>
        <tr valign="top">
            <th scope="row" class="titledesc">
                <label for="email"><?=esc_html('E-Posta Adresiniz','entego-n11')?></label>
            </th>
            <td class="forminp forminp-text">
                <input name="email" id="email" type="email" value="<?=$user_email?>" class="ayarlarForm" placeholder="ornek@ornek.com" required>
            </td>
        </tr>
        <tr valign="top">
            <th scope="row" class="titledesc">
                <label for="telefon"><?=esc_html('Telefon Numaranız','entego-n11')?> </label>
            </th>
            <td class="forminp forminp-text">
                <input name="telefon" id="telefon" type="text" value="" class="ayarlarForm" placeholder="05*********" required>
            </td>
        </tr>
<tr valign="top">
    <th scope="row" class="titledesc">
        <label for="mesaj"><?=esc_html('Mesajınız','entego-n11')?></label>
    </th>
    <td class="forminp forminp-text">
        <textarea name="mesaj" id="mesaj" class="ayarlarForm" rows="10"></textarea>
    </td>
</tr>
    </tbody>
    </table>
    <p class="submit">
        <button name="save" class="button-primary entego_n11-save-button" type="submit" value="<?=esc_html('Destek Talebini Gönder','entego-n11')?>"><?=esc_html('Destek Talebini Gönder','entego-n11')?></button>
        <span style="float:none;margin-top:-3px;" class="spinner"></span>
    </p>
</form>