<?php
//Bu dosya doğrudan çağrılırsa iptal edin.
if ( ! defined( 'WPINC' ) ) {
	die;
}
/**
 * Eklenti için yönetici alanı görünümü sağlama
 *
 * Bu dosya, eklentinin yöneticiye bakan yönlerini işaretlemek için kullanılır.
 *
 * @since      1.0.0
 *
 * @package    Entoge_N11
 * @subpackage Entego_N11/admin/partials
 */
    $url = $adminUrl;
    ?>
    <script>
    var targetUrl = '<?=$url?>',
        targetTitle = jQuery(this).attr('title');
    window.history.pushState({url: "" + targetUrl + ""}, targetTitle, targetUrl);
    </script>
    <?php

    if($_GET['order']){
        $order = sanitize_text_field($_GET['order']);
    }else {
        $order = 'desc';
    }
    if($_GET['sirala']){
        $orderby = sanitize_text_field($_GET['sirala']);
    }else {
        $orderby = 'id';
    }
    //Tarih Sıralaması
    if($_GET['sirala'] == 'olusturma_tarih' && $_GET['order'] == 'asc'){
        $tarihOrder = 'desc';
    }else {
        $tarihOrder = 'asc';
    }
    //Cevap Sıralaması
    if($_GET['sirala'] == 'hata_mesaj' && $_GET['order'] == 'asc'){
        $hataOrder = 'desc';
    }else {
        $hataOrder = 'asc';
    }

    if(sanitize_text_field($_GET['hata_tipi']) == 'basarisiz'){
        $selectBasarisiz = ' selected';
        $where = "WHERE durum = '1'";
    }elseif(sanitize_text_field($_GET['hata_tipi']) == 'basarili') {
        $selectBasarili = ' selected';
        $where = "WHERE durum = '2'";
    }else {
        $selectedTum = ' selected';
        $where = null;
    }
    global $wpdb;
    $tabloAdi = $wpdb->prefix.'entego_n11_hatalar';

    $sayfada = 200; 

    
    $sorgu = $wpdb->get_results("SELECT * FROM $tabloAdi $where");
    $toplam_icerik = $wpdb->num_rows;

    // Sayılar
        $sorguTumu = $wpdb->get_results("SELECT * FROM $tabloAdi");
        $tumToplamNum = $wpdb->num_rows;
        $sorguHataliNum = $wpdb->get_results("SELECT * FROM $tabloAdi WHERE durum = 1");
        $hataSayisi = $wpdb->num_rows;
        $sorguBasariliNum = $wpdb->get_results("SELECT * FROM $tabloAdi WHERE durum = 2");
        $basariliSayisi = $wpdb->num_rows;
        $cronTabloAdi = $wpdb->prefix."entego_n11_cron_urunler";
        $sorguCron = $wpdb->get_results("SELECT * FROM $cronTabloAdi");
        $cronSayisi = $wpdb->num_rows;
    //#Sayılar

    $toplam_sayfa = ceil($toplam_icerik / $sayfada);
    $sayfa = isset($_GET['sayfa']) ? (int) $_GET['sayfa'] : 1;
    if($sayfa < 1) $sayfa = 1; 
    if($sayfa > $toplam_sayfa) $sayfa = $toplam_sayfa; 
    $limit = ($sayfa - 1) * $sayfada;
    $oncekiSayfa = $sayfa-1;
    $sonrakiSayfa = $sayfa+1;
    $getir = $wpdb->get_results("SELECT * FROM $tabloAdi $where ORDER BY $orderby $order LIMIT $limit, $sayfada");

    $optionlar = array(
        'sil'=>array(
            'value'=>'sil',
            'text'=>'Sil'
        ),
        'tekrar-dene'=>array(
            'value'=>'tekrar',
            'text'=>'Tekrar Dene'
        ),
    )

?>

<!-- Bu dosya öncelikle biraz PHP içeren HTML'den oluşmalıdır. -->
<div class="wrap">
    <h1 class="wp-heading-inline">Ürün Gönderme Sonuçları</h1>
    <?php
    if(isset($hata)){
    ?>
    <div id="message" class="updated notice is-dismissible">
        <p>
            <?=$hata['mesaj']?><br>
            <strong><?=esc_html('İşlem yapılan hata sayısı','entego-n11')?>: <?=$hata['sayi'];?> </strong>
        </p>
    </div>
    <?php } ?>
    <p><?php

    echo sprintf(
        __( 'Sırada Bekleyen İşlem Sayısı(%1$s)', 'entego-n11' ),
        $cronSayisi
    );
    ?></p>
    <hr class="" id="wp__notice-list-uncollapsed">


    <h2 class="screen-reader-text"><?=esc_html('Hataları filtrele','entego-n11')?></h2>
    <ul class="subsubsub">
        <li class="tumu"><a href="<?=admin_url('admin.php?page=entego_n11_sonuclar')?>" class="<?php if($selectedTum) echo "current" ?>" aria-current="page"><?=esc_html('Tümü','entego-n11')?> <span data-count="<?=$tumToplamNum?>" class="count">(<?=$tumToplamNum?>)</span></a> |</li>
        <li class="hatali"><a href="<?=$url?>&hata_tipi=basarisiz" class="<?php if($selectBasarisiz) echo "current" ?>"><?=esc_html('Başarısız İşlemler','entego-n11')?> <span data-count="<?=$hataSayisi?>" class="count">(<?=$hataSayisi?>)</span></a> |</li>
        <li class="basarili"><a href="<?=$url?>&hata_tipi=basarili" class="<?php if($selectBasarili) echo "current" ?>"><?=esc_html('Başarılı İşlemler','entego-n11')?> <span data-count="<?=$basariliSayisi?>" class="count">(<?=$basariliSayisi?>)</span></a></li>
    </ul>
    <form method="get" id="hatalar-filtre">
        <input type="hidden" name="page" class="post_status_page" value="entego_n11_sonuclar">
        <input type="hidden" name="sirala" class="post_status_page" value="<?=sanitize_text_field($_GET['sirala'])?>">
        <input type="hidden" name="order" class="post_type_page" value="<?=sanitize_text_field($_GET['order'])?>">
        <input type="hidden" name="hata_tipi" class="post_type_page" value="<?=sanitize_text_field($_GET['hata_tipi'])?>">
        <div class="tablenav top">
            <div class="alignleft actions bulkactions">
                <label for="bulk-action-selector-top" class="screen-reader-text"><?=esc_html('Toplu eylem seçin','entego-n11')?></label>
                <select name="action" id="bulk-action-selector-top">
                    <option value="-1"><?=esc_html('Toplu İşlemler','entego-n11')?></option>
                    <?php
                    foreach($optionlar as $option){
                        echo '<option value="'.$option['value'].'">'.$option['text'].'</option>';
                    }
                    ?>
                </select>
                <input type="submit" id="doaction" class="button action" value="Uygula">
            </div>
            <h2 class="screen-reader-text"><?=esc_html('Ürün gezintisi','entego-n11')?></h2>
            <div class="tablenav-pages">
                <span class="displaying-num">
                <?php
                    if(sanitize_text_field($_GET['hata_tipi']) == 'basarili'){
                        echo $basariliSayisi;
                    }elseif(sanitize_text_field($_GET['hata_tipi']) == 'basarisiz') {
                        echo $hataSayisi;
                    }else {
                        echo $tumToplamNum;
                    }
                ?> öğe
                </span>
                <?php
                if($toplam_sayfa>1){
                ?>
                
                <span class="pagination-links">
                    <?php
                    if($sayfa>1){
                        ?>
                        <a class="prev-page button" href="<?=$url?>&sayfa=0">
                            <span class="screen-reader-text"><?=esc_html('İlk sayfa','entego-n11')?></span>
                            <span aria-hidden="true">«</span>
                        </a>
                        <?php
                    }else {
                        ?>
                        <span class="tablenav-pages-navspan button disabled" aria-hidden="true">«</span>
                        <?php
                    }
                    if($sayfa>1){
                        ?>
                        <a class="prev-page button" href="<?=$url?>&sayfa=<?=$oncekiSayfa?>">
                            <span class="screen-reader-text"><?=esc_html('Önceki sayfa','entego-n11')?></span>
                            <span aria-hidden="true">‹</span>
                        </a>
                        <?php
                    }else {
                        ?>
                        <span class="tablenav-pages-navspan button disabled" aria-hidden="true">‹</span>
                        <?php
                    }
                    ?>
                    <span class="paging-input">
                        <label for="current-page-selector" class="screen-reader-text"><?=esc_html('Geçerli sayfa','entego-n11')?></label>
                        <input class="current-page" id="current-page-selector" type="text" name="sayfa" value="<?=$sayfa?>" size="1" aria-describedby="table-paging">
                        <span class="tablenav-paging-text"> / 
                            <span class="total-pages"><?=$toplam_sayfa?></span>
                        </span>
                    </span>
                    <?php
                    if($toplam_sayfa>$sayfa){
                    ?>
                        <a class="next-page button" href="<?=$url?>&sayfa=<?=$sonrakiSayfa?>">
                            <span class="screen-reader-text"><?=esc_html('Sonraki sayfa','entego-n11')?></span>
                            <span aria-hidden="true">›</span>
                        </a>
                        <a class="last-page button" href="<?=$url?>&sayfa=<?=$toplam_sayfa?>">
                            <span class="screen-reader-text"><?=esc_html('Son sayfa','entego-n11')?></span>
                            <span aria-hidden="true">»</span>
                        </a>
                    <?php
                    }else {
                    ?>
                    <span class="tablenav-pages-navspan button disabled" aria-hidden="true">›</span>
                    <span class="tablenav-pages-navspan button disabled" aria-hidden="true">»</span>
                    <?php
                    }
                    ?>
                </span>
                <?php
                }
                ?>
            </div>
            <br class="clear">
        </div>
        <table class="hatalarTablo widefat fixed">
            <thead>
                <tr>
                    <td id="cb" class="manage-column column-cb check-column">
                        <label class="screen-reader-text" for="cb-select-all-1"><?=esc_html('Tümünü seç','entego-n11')?></label>
                        <input id="cb-select-all-1" type="checkbox">
                    </td>
                    <th class="manage-column column-cevap sortable <?=$hataOrder?>" scope="col">
                        <a href="<?=$url?>&sirala=hata_mesaj&order=<?=$hataOrder?>">
                            <span><?=esc_html('İşlem Cevabı','entego-n11')?></span>
                            <span class="sorting-indicator"></span>
                        </a>
                    </th>
                    <th class="manage-column column-date sortable <?=$tarihOrder?>" scope="col">
                        <a href="<?=$url?>&sirala=olusturma_tarih&order=<?=$tarihOrder?>">
                            <span><?=esc_html('Tarih ve Saat','entego-n11')?></span>
                            <span class="sorting-indicator"></span>
                        </a>
                    </th>
                    <th id="columnname" class="manage-column column-columnname num" scope="col"><?=esc_html('İşlem Yapılan Ürün','entego-n11')?></th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <td id="cb" class="manage-column column-cb check-column">
                        <label class="screen-reader-text" for="cb-select-all-1"><?=esc_html('Tümünü seç','entego-n11')?></label>
                        <input id="cb-select-all-1" type="checkbox">
                    </td>
                    <th class="manage-column column-cevap sortable <?=$hataOrder?>" scope="col">
                        <a href="<?=$url?>&sirala=hata_mesaj&order=<?=$hataOrder?>">
                            <span><?=esc_html('İşlem Cevabı','entego-n11')?></span>
                            <span class="sorting-indicator"></span>
                        </a>
                    </th>
                    <th class="manage-column column-date sortable <?=$tarihOrder?>" scope="col">
                        <a href="<?=$url?>&sirala=olusturma_tarih&order=<?=$tarihOrder?>">
                            <span><?=esc_html('Tarih ve Saat','entego-n11')?></span>
                            <span class="sorting-indicator"></span>
                        </a>
                    </th>
                    <th class="manage-column column-urun num" scope="col"><?=esc_html('İşlem Yapılan Ürün','entego-n11')?></th>
                </tr>
            </tfoot>
            <tbody id="the-list">
                <?php

                    foreach($getir as $hata){
                        if($hata->post_id != 1){
                            $urun = wc_get_product($hata->post_id);
                            $tarih = date("d/m/Y H:i",strtotime($hata->olusturma_tarih));
                            $urunAdi = $urun->get_name();
                        }else {
                            $urunAdi = '-';
                        }
                        if($hata->durum == 1){
                            $hataClass='hataliIslem';
                            $cizgi = ' |';
                            if($hata->hata == 'satin_alma_notu_bulunamadi' && $urun->get_purchase_note() != ''){
                                $hataClass = 'basariliIslem';
                                $hata->hata_mesaj .= '<br><span style="color:green;font-weight:bold;">'.esc_html('Sorun giderilmiş. İlgilenmenize gerek yok ürünü tekrar gönderebilirsiniz','entego-n11').'.</span>';
                            }elseif($hata->hata == 'kategori_bulunamadi'){
                                $kategori = get_post_meta($hata->post_id,'n11Kategori_id');
                                if(count($kategori) > 0){
                                    $hataClass = 'basariliIslem';
                                    $hata->hata_mesaj .= '<br><span style="color:green;font-weight:bold;">'.esc_html('Sorun giderilmiş. İlgilenmenize gerek yok ürünü tekrar gönderebilirsiniz.','entego-n11').'</span>';
                                }
                            }
                        }else { 
                            $cizgi = "";
                            $span = "";
                            $hataClass = 'basariliIslem';
                        }
                            ?>
                    <tr data-kat-id="<?=end($urun->get_category_ids())?>" data-id="<?=$hata->post_id?>" class="hataRows <?=$hataClass?>" valign="top">
                        <th class="check-column" scope="row">
                            <label class="screen-reader-text" for="cb-select-1"><?=esc_html('Seç 1','entego-n11')?></label>
                            <input type="checkbox" name="hata_id[]" value="<?=$hata->id?>" id="cb-select-1">
                        </th>
                        <td class="column-hataVerisi">
                            <?=$hata->hata_mesaj?>
                            <br>
                            <?php
                                if($hataClass == 'hataliIslem' && $hata->hata == 'satin_alma_notu_bulunamadi'){
                                    $editSpan = '<span class="not_ekle" ><a data-id="<?=$hata->id?>" data-islem="not_ekle" href="">'.esc_html('Satın Alma Notu Ekle (N11 Alt Başlık)','entego-n11').'</a> |</span>';

                                    echo '<div style="display:none;" class="satinAlmaNotu">
                                             <input class="n11Not" style="width:75%; float:left; " data-id="'.$hata->post_id.'" type="text" name="not" value="" placeholder="'.__('N11 Alt Başlık\'da Gözüken Not"','entego-n11').' />
                                             <input class="satinAlmaNonce" type="hidden" name="satinAlmaNonce" value="'.wp_create_nonce("satin_alma_notu").'"/>
                                             <input class="ajax-url" type="hidden" name="ajax-url" value="'.admin_url("admin-ajax.php").'"/>
                                             <button style="float:left; width:24%;" class="button notKaydet">'.esc_html('Kaydet','entego-n11').'</button>
                                             <br>
                                          </div>';
                                }elseif($hata->hata == 'kategori_bulunamadi'){
                                    if($hataClass != 'basariliIslem'){
                                    $editSpan = '<span class="kategori_eslestir" ><a data-id="'.$hata->id.'" data-islem="kategori_eslestir" href="">'.esc_html('Kategori Eşleştir','entego-n11').'</a> |</span>';
                                    }
                                    echo '<div style="display:none;" class="kategoriEsleme">
                                                ';
                                                $kategoAdlari = [];
                                                foreach($urun->get_category_ids() as $cId){
                                                    $terms = get_term($cId);
                                                    $kategoAdlari[] = $terms->name;
                                                }
                                                $kategoriAdlari = implode(' ',$kategoAdlari);
                                                $kategoriSorgu = $urun->get_name().' '.$kategoriAdlari;
                                                $response = Entego_N11_Admin::kategoriSorgulama($kategoriSorgu);

                                                if(get_option('entego_n11_aktif') != 1){
                                                    sprintf(
                                                        __( '<p style="color:red" >Entego N11 Eklentisi Kurulum tamamlanmamış veya api bağlantısında sıkıntı olduğu için kapatılmış <a href="%1$s" target="_blank">ayarlar sayfası</a> giderek tekrar kontrol ediniz.</p>', 'entego-n11' ),
                                                        admin_url('/admin.php?page=entego_n11_ayarlar')
                                                    );
                                                }elseif(!$response['sonuc']){
                                                    if($response['mesaj'] == 'entego_key_yok'){
                                                        echo '<p style="color:red" >'.esc_html('Entego ile kayıt sağlanmamış ayarlar sayfasından bilgilerini kontrol ederek tekrar gönderiniz.','entego-n11').'</p>';
                                                    }elseif($response['mesaj']=='entego_baglanti_yok'){
                                                        echo '<p style="color:red" >'.esc_html('Entego APİ ile bağlantı sağlanamadı, daha sonra tekrar deneyiniz.','entego-n11').'</p>';
                                                    }else {
                                                        echo '<p style="color:red" >'.$response['mesaj'].'</p>';
                                                    }
                                                }else {
                                                    ?>
                                                    <div class="form-field form-required term-name-wrap">
                                                        <label for="kategori_oneri_select"><?=esc_html('Kategori Önerileri','entego-n11')?></label>
                                                        <select style="width:100%;max-width:100%;" id="kategori_oneri_select" name="kategori_oneri_select" class="postform">
                                                            <?php
                                                            if(count($response['sonuclar'])<0){
                                                            ?>
                                                            <option value="0"><?=esc_html('Hiç bir kategori önerisi bulunamadı, kategori aramayı kullanınız.','entego-n11')?></option>
                                                            <?php
                                                            }else {
                                                            echo '<option value="0">'.esc_html('Kategori Önerileri için seçiniz.','entego-n11').'</option>';
                                                            foreach($response['sonuclar'] as $key => $sonuc){
                                                            ?>
                                                            <option value="<?=$sonuc['id']?>"><?=$sonuc['text']?></option>
                                                            <?php
                                                            }
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                    <div class="form-field form-required term-name-wrap">
                                                        <label for="kategoriArama"><?=esc_html('Kategori Arama','entego-n11')?></label>
                                                        <select style="width:100%;max-width:100%;" id="kategoriArama" name="kategoriArama" class="wc-enhanced-select-init kategoriArama select2" <?=$disabled?>>
                                                        <option value="0"><?=esc_html('Aramak için tıklayınız.','entego-n11')?></option>
                                                        </select>
                                                    </div>
                                                <br>
                                                    <?php
                                                }
                                    echo    '
                                             <input class="kategoriEslemeNonce" type="hidden" name="satinAlmaNonce" value="'.wp_create_nonce("sonuclar_kategori_esleme").'"/>
                                             <input class="ajax-url" type="hidden" name="ajax-url" value="'.admin_url("admin-ajax.php").'"/>
                                             <input class="ajax-url" type="hidden" name="id" value="'.$hata->post_id.'"/>
                                             <button style="float:left; width:24%;" class="button kategoriKaydet">'.esc_html('Kaydet','entego-n11').'</button><span style="position:absolute;" class="spinner"></span>
                                             <br>
                                          </div>';
                                }elseif($hata->hata == 'zorunlu_nitelik' || $hata->hata == 'hatali_ozellik'){
                                    $editSpan = '<span class="nitelik" ><a data-nonce="'.wp_create_nonce('sonuclar_ozellik_getir').'" data-katid="'.end($urun->get_category_ids()).'" data-id="'.$hata->post_id.'" data-islem="nitelikDuzenle" href="">'.esc_html('Özellik Düzenle','entego-n11').'</a> |</span>
                                                <span style="position: absolute;margin-left: 30px;margin-top: -1px;" class="spinner"></span>';
                                    echo '<div class="nitelikKutu"></div>';
                                }else {
                                    $editSpan = '<span class="update" ><a data-id="'.$hata->post_id.'" data-islem="update" data-nonce="'.wp_create_nonce('entego_n11_tekrar_siraya_al').'" href="">'.esc_html('Tekrar Gönder','entego-n11').'</a><span style="position:absolute;" class="spinner"></span> |</span>';
                                }
                            ?>
                            <div class="row-actions">
                                <span class="id"><?=esc_html('Kimlik No:','entego-n11')?><?=$hata->id?> |</span>
                                <?=$editSpan?>
                                <span class="trash" ><a data-id="<?=$hata->id?>" data-nonce="<?=wp_create_nonce('sonuclar_hata_sil')?>" data-islem="sil" href="#"><?=esc_html('Sil','entego-n11')?></a><?=$cizgi?></span>
                                <?=$span?>
                            </div>
                        </td>
                        <td class="column-columnname"><?=mysql2date("d F Y H:i",$hata->olusturma_tarih, $translate = true )?></td>
                        <td class="column-columnname"><a target="_blank" href="<?=admin_url('post.php?post='.$hata->post_id.'&action=edit')?>"> <?=$urunAdi?></a><br><?=get_term(end($urun->get_category_ids()),'product_cat')->name?></td>
                    </tr>
                        <?php
                    }

                ?>
            </tbody>
        </table>
        <div class="tablenav bottom">
            <div class="alignleft actions bulkactions">
                <label for="bulk-action-selector-top" class="screen-reader-text"><?=esc_html('Toplu eylem seçin','entego-n11')?></label>
                <select name="action2" id="bulk-action-selector-top">
                    <option value="-1"><?=esc_html('Toplu İşlemler','entego-n11')?></option>
                    <?php
                    foreach($optionlar as $option){
                        echo '<option value="'.$option['value'].'">'.$option['text'].'</option>';
                    }
                    ?>
                </select>
                <input type="submit" id="doaction" class="button action" value="Uygula">
            </div>
            <h2 class="screen-reader-text"><?=esc_html('Ürün gezintisi','entego-n11')?></h2>
            <div class="tablenav-pages">
                <span class="displaying-num">
                <?php
                    if(sanitize_text_field($_GET['hata_tipi']) == 'basarili'){
                        echo $basariliSayisi;
                    }elseif(sanitize_text_field($_GET['hata_tipi']) == 'basarisiz') {
                        echo $hataSayisi;
                    }else {
                        echo $tumToplamNum;
                    }
                ?> öğe
                </span>
                <?php
                if($toplam_sayfa>1){
                ?>
                
                <span class="pagination-links">
                    <?php
                    if($sayfa>1){
                        ?>
                        <a class="prev-page button" href="<?=$url?>&sayfa=0">
                            <span class="screen-reader-text"><?=esc_html('İlk sayfa','entego-n11')?></span>
                            <span aria-hidden="true">«</span>
                        </a>
                        <?php
                    }else {
                        ?>
                        <span class="tablenav-pages-navspan button disabled" aria-hidden="true">«</span>
                        <?php
                    }
                    if($sayfa>1){
                        ?>
                        <a class="prev-page button" href="<?=$url?>&sayfa=<?=$oncekiSayfa?>">
                            <span class="screen-reader-text"><?=esc_html('Önceki sayfa','entego-n11')?></span>
                            <span aria-hidden="true">‹</span>
                        </a>
                        <?php
                    }else {
                        ?>
                        <span class="tablenav-pages-navspan button disabled" aria-hidden="true">‹</span>
                        <?php
                    }
                    ?>
                    <span class="paging-input">
                        <span class="tablenav-paging-text"><?=$sayfa?> / 
                            <span class="total-pages"><?=$toplam_sayfa?></span>
                        </span>
                    </span>
                    <?php
                    if($toplam_sayfa>$sayfa){
                    ?>
                        <a class="next-page button" href="<?=$url?>&sayfa=<?=$sonrakiSayfa?>">
                            <span class="screen-reader-text"><?=esc_html('Sonraki sayfa','entego-n11')?></span>
                            <span aria-hidden="true">›</span>
                        </a>
                        <a class="last-page button" href="<?=$url?>&sayfa=<?=$toplam_sayfa?>">
                            <span class="screen-reader-text"><?=esc_html('Son sayfa','entego-n11')?></span>
                            <span aria-hidden="true">»</span>
                        </a>
                    <?php
                    }else {
                    ?>
                    <span class="tablenav-pages-navspan button disabled" aria-hidden="true">›</span>
                    <span class="tablenav-pages-navspan button disabled" aria-hidden="true">»</span>
                    <?php
                    }
                    ?>
                </span>
                <?php
                }
                ?>
            </div>
            <br class="clear">
        </div>
    </form>
</div>
