<?php
//Bu dosya doğrudan çağrılırsa iptal edin.
if ( ! defined( 'WPINC' ) ) {
	die;
}
/**
 * API Anahtarları Sekmesi
 *
 * @package    entego-n11
 * @subpackage entego-n11\admin\partials\help
 */

?>
<h3><?php esc_html_e( 'API Anahtarları', 'entego-n11' ); ?></h3>
<p>
	<?php esc_html_e( 'N11 ile eklentimizin bağlantısını sağlaması için api anahtarı ve api şifresine ihtiyacınız gerekmektedir.', 'entego-n11' ); ?>
</p>
<p>
	<?php esc_html_e( 'Bu API Anahtarını ve API Şifresini N11 yönetim panelinizden edinebilirsiniz.', 'entego-n11' ); ?><?php
	printf(
		__( '<a href="%1$s" target="_blank">N11 Firma Yönetim Paneli</a>.', 'entego-n11' ),
		'https://so.n11.com/'
	);
	?>
</p>
<p>
	<img src="<?php echo ENTN11()->plugin_url() . '/admin/img/tarifler/tarif1.jpg'; ?>" alt="<?php esc_attr_e( 'N11 API Şifresi alma talimatı', 'entego-n11' ); ?>" style="max-width: 100%; height: auto;" width="900" height="535" class="aligncenter size-full wp-image-327302" />
</p>
<p>
	<img src="<?php echo ENTN11()->plugin_url() . '/admin/img/tarifler/tarif2.jpg'; ?>" alt="<?php esc_attr_e( 'N11 API Şifresi alma talimatı', 'entego-n11' ); ?>" style="max-width: 100%; height: auto;" width="900" height="535" class="aligncenter size-full wp-image-327302" />
</p>
<p>
	<img src="<?php echo ENTN11()->plugin_url() . '/admin/img/tarifler/tarif3.jpg'; ?>" alt="<?php esc_attr_e( 'N11 API Şifresi alma talimatı', 'entego-n11' ); ?>" style="max-width: 100%; height: auto;" width="900" height="535" class="aligncenter size-full wp-image-327302" />
</p>
<p>
	<?php esc_html_e( 'API Anahtarınızı aldıkdan sonra E-Posta hesabıza gönderilen API şifresinide ayarladan kaydebilirsiniz.', 'entego-n11' ); ?>
</p>
<p>
	<?php esc_html_e( 'Bu verilerinizide kaydettikden sonra diğer sekmeye geçebilirsiniz.', 'entego-n11' ); ?>
</p>

