<?php
//Bu dosya doğrudan çağrılırsa iptal edin.
if ( ! defined( 'WPINC' ) ) {
	die;
}
class Entego_N11_Baglanti {

    public static function entegoUrl(){
        return 'https://api.entego.com.tr/api/n11/';
    }
    
    /**
     * @description Make HTTP-POST call
     * @param       $url
     * @param       array $params
     * @return      HTTP-Response body or an empty string if the request fails or is empty
     */
    public static function HTTPPost($url, array $params) {
        $args = array(
            'body' => $params,
            'timeout' => '120',
            'redirection' => '5',
            'httpversion' => '1.0',
            'blocking' => true,
            'headers' => array(),
            'cookies' => array()
        );
        $response = wp_remote_post( Entego_N11_Baglanti::entegoUrl().''.$url, $args );
        if($response!=''){
            $json = json_decode(@$response['body']);
            if(@$json->deneme_uyelik){
                update_option('entego_n11_deneme_uyelik',true);
            }else {
                delete_option('entego_n11_deneme_uyelik');
            }
            if(@$json->uyelikBitisTarihi){
                update_option('entego_n11_uyelik_bitis_tarih',$json->uyelikBitisTarihi);
            }else {
                delete_option('entego_n11_uyelik_bitis_tarih');
            }
            if(@$json->kredi){
                update_option('entego_n11_uyelik_kredi',$json->kredi);
            }else {
                delete_option('entego_n11_uyelik_kredi');
            }
            return @$response['body'];
        }else {
            return null;
        }
    }
}